#!/bin/sh
###  YOU SHOULD CHANGE AND UNCOMMENT ONLY THE STRING THAT IS CORRECT FOR YOUR READS: single end reads or paired-end reads !
###   build bowtie2 index file
bowtie2-build A3_target.fa A3_targ
###   single end reads alignment. input file is A3.fastq.gz
#bowtie2 --very-sensitive-local -x A3_targ -U A3.fastq.gz -S A3_target.sam
###   paired-end reads alignment. input files are A3.R1.fastq.gz and A3.R2.fastq.gz
#bowtie2 --very-sensitive-local -x A3_targ -1 A3.R1.fastq.gz -2 A3.R2.fastq.gz -S A3_target.sam
###   remove unaligned reads and convert to BAM
samtools view -S -b -F 4 -@ 10 A3_target.sam > A3_target_filtered.bam
###   sort BAM file
samtools sort -@ 10 A3_target_filtered.bam A3_target_sorted
###   convert BAM file to fastq
samtools bam2fq A3_target_sorted.bam | fastq_to_fasta -Q33 -r -o A3_sorted.fa
