#!/usr/bin/perl
# Copyright (C) 2017 Yuri V. Kravatsky, jiri@eimb.ru - All Rights Reserved
# You may use, distribute and modify this code under the
# terms of the Creative Commons CC BY-NC-SA 3.0 license.
# If you use this script in your scienfic projects please cite:
# Kravatsky YV, Chechetkin VR, Fedoseeva DM, Gorbacheva MA, Kravatskaya GI, Kretova OV, Tchurikov NA.
# A bioinformatic pipeline for monitoring of the mutational stability of viral drug targets with deep-sequencing technology.
# DOI: XX.XXXX/XXXX, PMID: XXXXXX

    use POSIX;
    use Statistics::Descriptive;
    use BioUtil::Seq;

    my $ARGC=scalar @ARGV;

    if ($ARGC!=2) { die "Usage: check_target_perc.pl database.fa target_seq.fa \n"; }

    my $dbfile=$ARGV[0];
    my $targetfile=$ARGV[1];
    my $basename=substr($targetfile,0,rindex($targetfile,"."));
    my $outfile=$basename.".perc";

    my $targ_read = FastaReader($targetfile);
    my $targ_fa = &$targ_read();
    my ( $targhead, $targseq ) = @$targ_fa;
    my $target=lc($targseq);
    chomp $target;
    chomp $target;
      
#    open (OUTP,">$outfile") || die "Can't create \"$outfile\": $!";

    my $next_seq = FastaReader($dbfile);

    my $totalfa=0;
    my $found=0;
    while ( my $fa = &$next_seq() ) {
        my ( $header, $seq ) = @$fa;
#       print ">$header\n$seq\n";
        my $lseq=lc($seq);
        if (index ($lseq, $target)!=-1) { $found++; }
#           else { print OUTP ">$header\n$seq\n"; }
        $totalfa++;       
                                    }
    my $perc=$found/$totalfa;
    my $c=sprintf("%.4f", $perc*100);
    print "$targhead\t$totalfa\t$found\t$c\n";
