#!/usr/bin/perl
# Copyright (C) 2017 Yuri V. Kravatsky, jiri@eimb.ru - All Rights Reserved
# You may use, distribute and modify this code under the
# terms of the Creative Commons CC BY-NC-SA 3.0 license.
# If you use this script in your scienfic projects please cite:
# Kravatsky YV, Chechetkin VR, Fedoseeva DM, Gorbacheva MA, Kravatskaya GI, Kretova OV, Tchurikov NA.
# A bioinformatic pipeline for monitoring of the mutational stability of viral drug targets with deep-sequencing technology.
# DOI: XX.XXXX/XXXX, PMID: XXXXXX

    use Scalar::Util qw(looks_like_number);
    use strict;

    my $ARGC=scalar @ARGV;

    if ($ARGC!=1) { die "Usage: unpack_aln clustalwfile\n"; }

    my $infile=$ARGV[0];
    my $basename=substr($infile,0,rindex($infile,"."));

    my $outfile=$basename.".aligned";

    open (INP,"$infile") || die "Can't read from \"$infile\": $!";
    open (OUTP,">$outfile") || die "Can't write to \"$outfile\": $!";

    my $count=1;
    while(<INP>) {
        chomp;
        chomp;
        my @arr=split('\s+');
        if (scalar @arr!=2) { print OUTP "$_\n"; 
                              next; }
        my @head=split(/\./,$arr[0]);
        if (!looks_like_number($head[1])) { print OUTP "$_\n"; 
                                            next; }
        for (my $i=0;$i<$head[1];$i++) { my $c=sprintf "%-16d%s\n", $count, uc($arr[1]);
                                         print OUTP $c;
                                         $count++; }
                 }
    close (INP);
    close (OUTP);
